<?php

require ('modelo_manutencao.php');

$oquefazer= new modelo_manutencao();

$oquefazer1= new modelo_manutencao();

$oquefazer2= new modelo_manutencao();

$oquefazer3= new modelo_manutencao();

$oquefazer4= new modelo_manutencao();

$acao=$_REQUEST['acao'];

$tabelaacao=$_REQUEST['tabela'];

if ($acao=="lista" or $acao=="" ){$oquefazer->modelo_lista();require('pesquisa_chamado.php');}

if ($acao=="encerrar"){$oquefazer->modelo_encerrar();$oquefazer->modelo_lista();require('pesquisa_chamado.php');}

if ($acao=="novo")

{

$oquefazer3->modelo_lista_area();

$oquefazer4->modelo_lista_urgencia();

$oquefazer2->modelo_lista_tomador();

$oquefazer1->modelo_lista_para();

$oquefazer->modelo_lista_de();

require('chamado.php');}





if ($acao=="novobanco")

{

	$oquefazer->modelo_novo();

	$oquefazer->modelo_lista();

	require('pesquisa_chamado.php');	

}



if ($acao=="ler")

{

	$oquefazer->modelo_ler();

	$oquefazer1->modelo_lista_de() ;

	$oquefazer2->modelo_lista_resp();

	$oquefazer3->modelo_lista_usuarios_do_chamado();



	require('chamado.php');

	

}

if ($acao=="encaminhar")

{

	$oquefazer->modelo_encaminhar() ;

	$oquefazer->modelo_inserir_detalhe_chamado_encaminhado();

	$oquefazer->modelo_lista();

	require('pesquisa_chamado.php');

	

	

}



if ($acao=="responder")

{

	$oquefazer->modelo_inserir_detalhe_chamado_resp(); 

	$oquefazer->modelo_lista();

	require('pesquisa_chamado.php');

	

	

}



if ($acao=="lista_todos")

{

	$oquefazer->modelo_lista_todos();

	require('pesquisa_todos_chamados.php');

	

}



if ($acao=="lista_todos_por")

    {

	$oquefazer->modelo_lista_todos_por();

	require('pesquisa_todos_chamados.php');

	}





if ($acao=="reabir")

{

	$oquefazer->modelo_reabrir();

	$oquefazer->modelo_lista();

	require('pesquisa_chamado.php');}



?>